#include "../include/dos.h"

void redirector(FILE *stream, char *ipstr)
{
	switch(opt.rtype) {
	case REDIR_IPFILTER:
		fprintf(stream, "#REDIRECTOR# rdr %s from %s/32 to 0.0.0.0/0 port = 80 -> %s port %d\n", opt.pcap_dev, ipstr,  opt.rhost, opt.rport);
		fprintf(stream, "#FIREWALL# pass in quick on %s proto tcp/udp from %s/32 to any port = 53 keep state\n", opt.pcap_dev, ipstr);
		fprintf(stream, "#FIREWALL# pass in quick on %s proto tcp/udp from %s/32 to any port = 80 keep state\n", opt.pcap_dev, ipstr);
		fprintf(stream, "#FIREWALL# pass in quick on %s proto tcp/udp from %s/32 to %s/32 port = %d keep state\n", opt.pcap_dev, ipstr, opt.rhost, opt.rport);
		fprintf(stream, "#FIREWALL# block in quick on %s from %s/32 to any\n", opt.pcap_dev, ipstr);
		break;
	}
}

